Get all aFRR results for a given virtual asset and delivery day.
Gets aFRR results for a given virtual asset, product and delivery day
Query Parameters
Required query parameters:
deliveryDay: The delivery day of the bids in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339).
Optional query parameters:
accepted: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned.
Response format
Returns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided:
product: The product of the result, e.g. NEGPOS_00_04 (FCR), POS_00_04 (AFRR Capacity), POS_001 (AFRR Energy).
deliveryDay: The delivery day of the bid result in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339).
results: A list of individual bid results for the product.
Each result in the list contains the following fields whose contents can vary depending on the market:
accepted: A boolean field that shows whether the bid was accepted or rejected in the auction.
offeredCapacity: The offered capacity of the original bid in kilowatts, e.g. 2000.
acceptedCapacity: The accepted capacity determined in the auction in kilowatts, e.g. 1000. Can be equal to or less than the offeredCapacity.
capacityPrice:
AFRR Energy: This field is null.
AFRR Capacity: The capacity price of the original AFRR bid in EUR/MW/h, e.g. 100.00. This price is used to determine the position of the bid in the TSO’s merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below.
settlementPrice: This field is null.
energyPrice: The energy price of the original bid in EUR/MWh, e.g. 100.00. This price is used to determine the position of the bid in the TSO’s merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below.
Results publication
The exact publication time of results is not guaranteed.
If results have not yet been published, returns an empty list and status code 200.
AFRR Energy
23 minutes before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm.
AFRR Capacity
9:20am CET/CEST on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026.
Revenue calculation
AFRR Energy
The AFRR Energy auction is Pay As Clear.
The settlementPrice for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period.
The settlementPrice can be found in the data center of regelleistung.net. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided.
If your bid is accepted, you are not automatically receiving revenue for the delivery period.
You are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint.
Example:
energyPrice offered in the bid: 80 EUR/MWh
settlementPrice: 100 EUR/MWh
Total activated power in 15 minutes: 2000 kW
Revenue: 100 EUR/MWh * 2 MW * 0.25 h = 50 EUR
AFRR Capacity
The AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST.
Depending on your offered capacityPrice, your bid is rejected or accepted.
If a bid is accepted, you are paid the offered capacityPrice for each hour of the delivery period.
You are paid for the capacity you provide, irrespective of the activations your asset delivers.
Example:
capacityPrice offered in bid: 100 EUR/MW
acceptedCapacity received in result: 2000 kW
Revenue: (100 EUR/MW/h * 2 MW) * 4h = 800 EUR
Adjustment of virtual asset blocks
The incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset.
Inside the aFRR block’s power capacity timeseries, the powerCapacity is updated to value of the result’s acceptedCapacity for the delivery period of the product.
At the same time, the powerCapacity of the wholesale block ("market":"WHOLESALE") for the delivery period of the product you bid on is adjusted:
If acceptedCapacity = offeredCapacity, nothing happens. If acceptedCapacity < offeredCapacity, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to the value of acceptedCapacity, whereas the powerCapacity of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to 0 and the powerCapacity of the wholesale block is increased by the same amount.
If a bid is rejected, the powerCapacity is removed from the aFRR block and fully added to the wholesale block.
GET
/
organisations
/
{organisationID}
/
virtual-assets
/
{virtualAssetID}
/
ancillary
/
afrr
/
results
Get all aFRR results for a given virtual asset and delivery day.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"terralayr","colors":{"primary":"#13151A","light":"#C2C6CE","dark":"#888C97"},"logo":{"light":"https://mintcdn.com/terralayr-90/i2mowZXsRr_Wp7MC/logo/terralayrDark.svg?fit=max\u0026auto=format\u0026n=i2mowZXsRr_Wp7MC\u0026q=85\u0026s=eb99311be47192737889489eb393e3d4","dark":"https://mintcdn.com/terralayr-90/i2mowZXsRr_Wp7MC/logo/terralayr.svg?fit=max\u0026auto=format\u0026n=i2mowZXsRr_Wp7MC\u0026q=85\u0026s=ec334006d0e1ec6b8461a2016ff25471"},"favicon":"https://mintcdn.com/terralayr-90/6CJgW5GjjTIZDPSq/favicon.svg?fit=max\u0026auto=format\u0026n=6CJgW5GjjTIZDPSq\u0026q=85\u0026s=a4ab56165676d79a829688cf9b6e072a","api":{"params":{"expanded":"all"},"playground":{"display":"interactive"},"examples":{"defaults":"required","prefill":true,"autogenerate":true},"url":"full"},"navbar":{"links":[{"href":"mailto:support@trlyr.com","label":"Support"}],"primary":{"type":"button","label":"Layr Dashboard","href":"https://app.trlyr.com"}},"footer":{"socials":{"website":"https://www.trlyr.com/","github":"https://github.com/terralayr","linkedin":"https://www.linkedin.com/company/terralayr"}},"fonts":{"heading":{"family":"InterDisplay","weight":700,"source":"fonts/PPNeueMontreal-Regular.woff2","format":"woff2"},"body":{"family":"InterDisplay","weight":400,"source":"fonts/PPNeueMontreal-Regular.woff2","format":"woff2"}},"integrations":{"gtm":{"tagId":"GTM-MK2HWCBW"},"intercom":{"appId":"aqinf0la"}},"contextual":{"options":["copy","view","claude","chatgpt","mcp","add-mcp","cursor","vscode"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"terralayr-90","hasAudioNarration":false,"actualSubdomain":"terralayr-90","customDomains":["docs.trlyr.com"],"gitSource":{"type":"github","owner":"terralayr","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4a400c2eaceb0e3450bd7","collectionId":"6269c0f9-f523-44e1-830e-eecdedc4dffb","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4a400c2eaceb0e3450bd7"},"feedback":{"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae4a400c2eaceb0e3450bd7","clientVersion":"0.0.4039","searchFilterCounts":[{"language":"default","tag":"API Reference","count":99},{"language":"default","tag":"Physical Asset Management API","count":36},{"language":"default","tag":"Virtual Assets API","count":33},{"language":"default","tag":"BESS Academy","count":32},{"language":"default","tag":"Product Updates \u0026 Changelog","count":22},{"language":"default","tag":"Layr User Guide","count":13},{"language":"default","tag":"virtual-assets","count":13},{"language":"default","tag":"Revenue Reporting API","count":12},{"language":"default","tag":"revenue","count":12},{"language":"default","tag":"Module 3: The BESS Project Lifecycle","count":10}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@trlyr.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day","slug":"/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day","pageMetadata":{"title":"Get all aFRR results for a given virtual asset and delivery day.","description":"# Gets aFRR results for a given virtual asset, product and delivery day\n\n## Query Parameters\n\nRequired query parameters:\n\n`deliveryDay`: The delivery day of the bids in the format `YYYY-MM-DD`, e.g. `2026-05-30` (full day according to RFC3339).\n\nOptional query parameters:\n\n`accepted`: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned.\n\n## Response format\nReturns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided:\n\n`product`: The product of the result, e.g. `NEGPOS_00_04` (FCR), `POS_00_04` (AFRR Capacity), `POS_001` (AFRR Energy).\n\n`deliveryDay`: The delivery day of the bid result in the format `YYYY-MM-DD`, e.g. `2026-05-30` (full day according to RFC3339).\n\n`results`: A list of individual bid results for the product.\n\nEach result in the list contains the following fields whose contents can vary depending on the market:\n\n`accepted`: A boolean field that shows whether the bid was accepted or rejected in the auction.\n\n`offeredCapacity`: The offered capacity of the original bid in **kilowatts**, e.g. `2000`.\n\n`acceptedCapacity`: The accepted capacity determined in the auction in **kilowatts**, e.g. `1000`. Can be equal to or less than the `offeredCapacity`.\n\n`capacityPrice`:\n- AFRR Energy: This field is null.\n- AFRR Capacity: The capacity price of the original AFRR bid in **EUR/MW/h**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below.\n\n`settlementPrice`: This field is null.\n\n`energyPrice`: The energy price of the original bid in **EUR/MWh**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below.\n\n## Results publication\n\nThe exact publication time of results is not guaranteed.\n\nIf results have not yet been published, returns an empty list and status code 200.\n\n### AFRR Energy\n**23 minutes** before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm.\n\n### AFRR Capacity\n**9:20am CET/CEST** on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026.\n\n## Revenue calculation\n\n### AFRR Energy\n\nThe AFRR Energy auction is Pay As Clear.\n\nThe `settlementPrice` for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period.\n\nThe `settlementPrice` can be found in the data center of **regelleistung.net**. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided.\n\nIf your bid is accepted, you are not automatically receiving revenue for the delivery period.\n\nYou are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint.\n\nExample:\n- `energyPrice` offered in the bid: 80 EUR/MWh\n- `settlementPrice`: 100 EUR/MWh\n- Total activated power in 15 minutes: 2000 kW\n- Revenue: 100 EUR/MWh * 2 MW * 0.25 h = 50 EUR\n\n### AFRR Capacity\n\nThe AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST.\n\nDepending on your offered `capacityPrice`, your bid is rejected or accepted.\n\nIf a bid is accepted, you are paid the offered `capacityPrice` for each hour of the delivery period.\n\nYou are paid for the capacity you provide, irrespective of the activations your asset delivers.\n\nExample:\n- `capacityPrice` offered in bid: 100 EUR/MW\n- `acceptedCapacity` received in result: 2000 kW\n- Revenue: (100 EUR/MW/h * 2 MW) * 4h = 800 EUR\n\n## Adjustment of virtual asset blocks\n\nThe incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset.\n\nInside the aFRR block's power capacity timeseries, the `powerCapacity` is updated to value of the result's `acceptedCapacity` for the delivery period of the product.\n\nAt the same time, the `powerCapacity` of the wholesale block (`\"market\":\"WHOLESALE\"`) for the delivery period of the product you bid on is adjusted: \n\nIf `acceptedCapacity` = `offeredCapacity`, nothing happens. If `acceptedCapacity` \u003c `offeredCapacity`, the `powerCapacity` of the aFRR block for the duration of the delivery period is reduced to the value of `acceptedCapacity`, whereas the `powerCapacity` of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the `powerCapacity` of the aFRR block for the duration of the delivery period is reduced to 0 and the `powerCapacity` of the wholesale block is increased by the same amount.\n\nIf a bid is rejected, the `powerCapacity` is removed from the aFRR block and fully added to the wholesale block.\n","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/results","href":"/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n h1: \"h1\",\n h2: \"h2\",\n h3: \"h3\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.h1, {\n children: \"Gets aFRR results for a given virtual asset, product and delivery day\"\n }), \"\\n\", _jsx(_components.h2, {\n children: \"Query Parameters\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Required query parameters:\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"deliveryDay\"\n }), \": The delivery day of the bids in the format \", _jsx(_components.code, {\n children: \"YYYY-MM-DD\"\n }), \", e.g. \", _jsx(_components.code, {\n children: \"2026-05-30\"\n }), \" (full day according to RFC3339).\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Optional query parameters:\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"accepted\"\n }), \": An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned.\"]\n }), \"\\n\", _jsx(_components.h2, {\n children: \"Response format\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Returns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided:\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"product\"\n }), \": The product of the result, e.g. \", _jsx(_components.code, {\n children: \"NEGPOS_00_04\"\n }), \" (FCR), \", _jsx(_components.code, {\n children: \"POS_00_04\"\n }), \" (AFRR Capacity), \", _jsx(_components.code, {\n children: \"POS_001\"\n }), \" (AFRR Energy).\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"deliveryDay\"\n }), \": The delivery day of the bid result in the format \", _jsx(_components.code, {\n children: \"YYYY-MM-DD\"\n }), \", e.g. \", _jsx(_components.code, {\n children: \"2026-05-30\"\n }), \" (full day according to RFC3339).\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"results\"\n }), \": A list of individual bid results for the product.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Each result in the list contains the following fields whose contents can vary depending on the market:\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"accepted\"\n }), \": A boolean field that shows whether the bid was accepted or rejected in the auction.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"offeredCapacity\"\n }), \": The offered capacity of the original bid in \", _jsx(_components.strong, {\n children: \"kilowatts\"\n }), \", e.g. \", _jsx(_components.code, {\n children: \"2000\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"acceptedCapacity\"\n }), \": The accepted capacity determined in the auction in \", _jsx(_components.strong, {\n children: \"kilowatts\"\n }), \", e.g. \", _jsx(_components.code, {\n children: \"1000\"\n }), \". Can be equal to or less than the \", _jsx(_components.code, {\n children: \"offeredCapacity\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"capacityPrice\"\n }), \":\"]\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"AFRR Energy: This field is null.\"\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"AFRR Capacity: The capacity price of the original AFRR bid in \", _jsx(_components.strong, {\n children: \"EUR/MW/h\"\n }), \", e.g. \", _jsx(_components.code, {\n children: \"100.00\"\n }), \". This price is used to determine the position of the bid in the TSO’s merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below.\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"settlementPrice\"\n }), \": This field is null.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"energyPrice\"\n }), \": The energy price of the original bid in \", _jsx(_components.strong, {\n children: \"EUR/MWh\"\n }), \", e.g. \", _jsx(_components.code, {\n children: \"100.00\"\n }), \". This price is used to determine the position of the bid in the TSO’s merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below.\"]\n }), \"\\n\", _jsx(_components.h2, {\n children: \"Results publication\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The exact publication time of results is not guaranteed.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"If results have not yet been published, returns an empty list and status code 200.\"\n }), \"\\n\", _jsx(_components.h3, {\n children: \"AFRR Energy\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"23 minutes\"\n }), \" before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm.\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"AFRR Capacity\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"9:20am CET/CEST\"\n }), \" on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026.\"]\n }), \"\\n\", _jsx(_components.h2, {\n children: \"Revenue calculation\"\n }), \"\\n\", _jsx(_components.h3, {\n children: \"AFRR Energy\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The AFRR Energy auction is Pay As Clear.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"settlementPrice\"\n }), \" for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"settlementPrice\"\n }), \" can be found in the data center of \", _jsx(_components.strong, {\n children: \"regelleistung.net\"\n }), \". It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"If your bid is accepted, you are not automatically receiving revenue for the delivery period.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"You are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Example:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"energyPrice\"\n }), \" offered in the bid: 80 EUR/MWh\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"settlementPrice\"\n }), \": 100 EUR/MWh\"]\n }), \"\\n\", _jsx(_components.li, {\n children: \"Total activated power in 15 minutes: 2000 kW\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Revenue: 100 EUR/MWh * 2 MW * 0.25 h = 50 EUR\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"AFRR Capacity\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Depending on your offered \", _jsx(_components.code, {\n children: \"capacityPrice\"\n }), \", your bid is rejected or accepted.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"If a bid is accepted, you are paid the offered \", _jsx(_components.code, {\n children: \"capacityPrice\"\n }), \" for each hour of the delivery period.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"You are paid for the capacity you provide, irrespective of the activations your asset delivers.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Example:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"capacityPrice\"\n }), \" offered in bid: 100 EUR/MW\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"acceptedCapacity\"\n }), \" received in result: 2000 kW\"]\n }), \"\\n\", _jsx(_components.li, {\n children: \"Revenue: (100 EUR/MW/h * 2 MW) * 4h = 800 EUR\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h2, {\n children: \"Adjustment of virtual asset blocks\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Inside the aFRR block’s power capacity timeseries, the \", _jsx(_components.code, {\n children: \"powerCapacity\"\n }), \" is updated to value of the result’s \", _jsx(_components.code, {\n children: \"acceptedCapacity\"\n }), \" for the delivery period of the product.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"At the same time, the \", _jsx(_components.code, {\n children: \"powerCapacity\"\n }), \" of the wholesale block (\", _jsx(_components.code, {\n children: \"\\\"market\\\":\\\"WHOLESALE\\\"\"\n }), \") for the delivery period of the product you bid on is adjusted:\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"If \", _jsx(_components.code, {\n children: \"acceptedCapacity\"\n }), \" = \", _jsx(_components.code, {\n children: \"offeredCapacity\"\n }), \", nothing happens. If \", _jsx(_components.code, {\n children: \"acceptedCapacity\"\n }), \" \u003c \", _jsx(_components.code, {\n children: \"offeredCapacity\"\n }), \", the \", _jsx(_components.code, {\n children: \"powerCapacity\"\n }), \" of the aFRR block for the duration of the delivery period is reduced to the value of \", _jsx(_components.code, {\n children: \"acceptedCapacity\"\n }), \", whereas the \", _jsx(_components.code, {\n children: \"powerCapacity\"\n }), \" of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the \", _jsx(_components.code, {\n children: \"powerCapacity\"\n }), \" of the aFRR block for the duration of the delivery period is reduced to 0 and the \", _jsx(_components.code, {\n children: \"powerCapacity\"\n }), \" of the wholesale block is increased by the same amount.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"If a bid is rejected, the \", _jsx(_components.code, {\n children: \"powerCapacity\"\n }), \" is removed from the aFRR block and fully added to the wholesale block.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get all aFRR results for a given virtual asset and delivery day.","description":"# Gets aFRR results for a given virtual asset, product and delivery day\n\n## Query Parameters\n\nRequired query parameters:\n\n`deliveryDay`: The delivery day of the bids in the format `YYYY-MM-DD`, e.g. `2026-05-30` (full day according to RFC3339).\n\nOptional query parameters:\n\n`accepted`: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned.\n\n## Response format\nReturns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided:\n\n`product`: The product of the result, e.g. `NEGPOS_00_04` (FCR), `POS_00_04` (AFRR Capacity), `POS_001` (AFRR Energy).\n\n`deliveryDay`: The delivery day of the bid result in the format `YYYY-MM-DD`, e.g. `2026-05-30` (full day according to RFC3339).\n\n`results`: A list of individual bid results for the product.\n\nEach result in the list contains the following fields whose contents can vary depending on the market:\n\n`accepted`: A boolean field that shows whether the bid was accepted or rejected in the auction.\n\n`offeredCapacity`: The offered capacity of the original bid in **kilowatts**, e.g. `2000`.\n\n`acceptedCapacity`: The accepted capacity determined in the auction in **kilowatts**, e.g. `1000`. Can be equal to or less than the `offeredCapacity`.\n\n`capacityPrice`:\n- AFRR Energy: This field is null.\n- AFRR Capacity: The capacity price of the original AFRR bid in **EUR/MW/h**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below.\n\n`settlementPrice`: This field is null.\n\n`energyPrice`: The energy price of the original bid in **EUR/MWh**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below.\n\n## Results publication\n\nThe exact publication time of results is not guaranteed.\n\nIf results have not yet been published, returns an empty list and status code 200.\n\n### AFRR Energy\n**23 minutes** before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm.\n\n### AFRR Capacity\n**9:20am CET/CEST** on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026.\n\n## Revenue calculation\n\n### AFRR Energy\n\nThe AFRR Energy auction is Pay As Clear.\n\nThe `settlementPrice` for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period.\n\nThe `settlementPrice` can be found in the data center of **regelleistung.net**. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided.\n\nIf your bid is accepted, you are not automatically receiving revenue for the delivery period.\n\nYou are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint.\n\nExample:\n- `energyPrice` offered in the bid: 80 EUR/MWh\n- `settlementPrice`: 100 EUR/MWh\n- Total activated power in 15 minutes: 2000 kW\n- Revenue: 100 EUR/MWh * 2 MW * 0.25 h = 50 EUR\n\n### AFRR Capacity\n\nThe AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST.\n\nDepending on your offered `capacityPrice`, your bid is rejected or accepted.\n\nIf a bid is accepted, you are paid the offered `capacityPrice` for each hour of the delivery period.\n\nYou are paid for the capacity you provide, irrespective of the activations your asset delivers.\n\nExample:\n- `capacityPrice` offered in bid: 100 EUR/MW\n- `acceptedCapacity` received in result: 2000 kW\n- Revenue: (100 EUR/MW/h * 2 MW) * 4h = 800 EUR\n\n## Adjustment of virtual asset blocks\n\nThe incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset.\n\nInside the aFRR block's power capacity timeseries, the `powerCapacity` is updated to value of the result's `acceptedCapacity` for the delivery period of the product.\n\nAt the same time, the `powerCapacity` of the wholesale block (`\"market\":\"WHOLESALE\"`) for the delivery period of the product you bid on is adjusted: \n\nIf `acceptedCapacity` = `offeredCapacity`, nothing happens. If `acceptedCapacity` \u003c `offeredCapacity`, the `powerCapacity` of the aFRR block for the duration of the delivery period is reduced to the value of `acceptedCapacity`, whereas the `powerCapacity` of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the `powerCapacity` of the aFRR block for the duration of the delivery period is reduced to 0 and the `powerCapacity` of the wholesale block is increased by the same amount.\n\nIf a bid is rejected, the `powerCapacity` is removed from the aFRR block and fully added to the wholesale block.\n","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/results","href":"/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"# Gets aFRR results for a given virtual asset, product and delivery day\n\n## Query Parameters\n\nRequired query parameters:\n\n`deliveryDay`: The delivery day of the bids in the format `YYYY-MM-DD`, e.g. `2026-05-30` (full day according to RFC3339).\n\nOptional query parameters:\n\n`accepted`: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned.\n\n## Response format\nReturns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided:\n\n`product`: The product of the result, e.g. `NEGPOS_00_04` (FCR), `POS_00_04` (AFRR Capacity), `POS_001` (AFRR Energy).\n\n`deliveryDay`: The delivery day of the bid result in the format `YYYY-MM-DD`, e.g. `2026-05-30` (full day according to RFC3339).\n\n`results`: A list of individual bid results for the product.\n\nEach result in the list contains the following fields whose contents can vary depending on the market:\n\n`accepted`: A boolean field that shows whether the bid was accepted or rejected in the auction.\n\n`offeredCapacity`: The offered capacity of the original bid in **kilowatts**, e.g. `2000`.\n\n`acceptedCapacity`: The accepted capacity determined in the auction in **kilowatts**, e.g. `1000`. Can be equal to or less than the `offeredCapacity`.\n\n`capacityPrice`:\n- AFRR Energy: This field is null.\n- AFRR Capacity: The capacity price of the original AFRR bid in **EUR/MW/h**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below.\n\n`settlementPrice`: This field is null.\n\n`energyPrice`: The energy price of the original bid in **EUR/MWh**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below.\n\n## Results publication\n\nThe exact publication time of results is not guaranteed.\n\nIf results have not yet been published, returns an empty list and status code 200.\n\n### AFRR Energy\n**23 minutes** before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm.\n\n### AFRR Capacity\n**9:20am CET/CEST** on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026.\n\n## Revenue calculation\n\n### AFRR Energy\n\nThe AFRR Energy auction is Pay As Clear.\n\nThe `settlementPrice` for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period.\n\nThe `settlementPrice` can be found in the data center of **regelleistung.net**. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided.\n\nIf your bid is accepted, you are not automatically receiving revenue for the delivery period.\n\nYou are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint.\n\nExample:\n- `energyPrice` offered in the bid: 80 EUR/MWh\n- `settlementPrice`: 100 EUR/MWh\n- Total activated power in 15 minutes: 2000 kW\n- Revenue: 100 EUR/MWh * 2 MW * 0.25 h = 50 EUR\n\n### AFRR Capacity\n\nThe AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST.\n\nDepending on your offered `capacityPrice`, your bid is rejected or accepted.\n\nIf a bid is accepted, you are paid the offered `capacityPrice` for each hour of the delivery period.\n\nYou are paid for the capacity you provide, irrespective of the activations your asset delivers.\n\nExample:\n- `capacityPrice` offered in bid: 100 EUR/MW\n- `acceptedCapacity` received in result: 2000 kW\n- Revenue: (100 EUR/MW/h * 2 MW) * 4h = 800 EUR\n\n## Adjustment of virtual asset blocks\n\nThe incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset.\n\nInside the aFRR block's power capacity timeseries, the `powerCapacity` is updated to value of the result's `acceptedCapacity` for the delivery period of the product.\n\nAt the same time, the `powerCapacity` of the wholesale block (`\"market\":\"WHOLESALE\"`) for the delivery period of the product you bid on is adjusted: \n\nIf `acceptedCapacity` = `offeredCapacity`, nothing happens. If `acceptedCapacity` \u003c `offeredCapacity`, the `powerCapacity` of the aFRR block for the duration of the delivery period is reduced to the value of `acceptedCapacity`, whereas the `powerCapacity` of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the `powerCapacity` of the aFRR block for the duration of the delivery period is reduced to 0 and the `powerCapacity` of the wholesale block is increased by the same amount.\n\nIf a bid is rejected, the `powerCapacity` is removed from the aFRR block and fully added to the wholesale block.\n","parameters":["2b9df99e-330b-41f7-ba9f-165a6f16696a","a4d0429a-e45c-4173-838a-c9e1119f3edd","e3d97037-0096-4d6a-bb26-78de8ee7581f","0de17ec3-8f45-43d0-8cce-ca20a1961dbd","5d0b6b4c-a93c-4ce4-9a26-aec1214d92aa","238a4fa8-0d38-4155-ba39-7ad26c237e5e"],"requestBody":"b157b8a6-a7f4-4ca0-ac20-381a4251abd6","responses":{"200":"b3de2551-d7b0-4576-bbdb-48b3f1ff0dbd","400":"b764818e-71aa-4d26-abdf-39eee5eb16d1","401":"c63c5f66-ea8c-43e5-97bf-13ae84019138","500":"7257e6a6-99e7-49c9-b7c6-ef2f7c4478df"},"summary":"Get all aFRR results for a given virtual asset and delivery day.","tags":["afrr"],"method":"get","type":"path","servers":["297f8926-7508-43d5-a35e-6c4952f65031","b1201b0c-e618-4435-972d-30cad67339f3"],"security":[],"path":"/organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/results","baseUrlOptions":["https://api.trlyr.com","https://api.sandbox.trlyr.com"],"title":"Get all aFRR results for a given virtual asset and delivery day.","codeSamples":[],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{}],"urlDisplay":"full"},"dependencies":{"parameters":{"2b9df99e-330b-41f7-ba9f-165a6f16696a":{"description":"Access token","in":"header","name":"Authorization","required":true,"schema":{"default":"Bearer \u003caccess token value>","type":"string","isRequired":true,"description":"Access token","uniqueKey":"","typeLabel":"string"}},"a4d0429a-e45c-4173-838a-c9e1119f3edd":{"description":"Organisation ID","in":"path","name":"organisationID","required":true,"schema":{"type":"string","isRequired":true,"description":"Organisation ID","uniqueKey":"","typeLabel":"string"}},"e3d97037-0096-4d6a-bb26-78de8ee7581f":{"description":"Virtual Asset ID","in":"path","name":"virtualAssetID","required":true,"schema":{"type":"string","isRequired":true,"description":"Virtual Asset ID","uniqueKey":"","typeLabel":"string"}},"0de17ec3-8f45-43d0-8cce-ca20a1961dbd":{"description":"Delivery Day","in":"query","name":"deliveryDay","required":true,"schema":{"default":"YYYY-MM-DD","type":"string","isRequired":true,"description":"Delivery Day","uniqueKey":"","typeLabel":"string"}},"5d0b6b4c-a93c-4ce4-9a26-aec1214d92aa":{"description":"Market: 'capacity' or 'energy'","in":"query","name":"market","schema":{"type":"string","description":"Market: 'capacity' or 'energy'","uniqueKey":"","typeLabel":"string"}},"238a4fa8-0d38-4155-ba39-7ad26c237e5e":{"description":"Filter for accepted or rejected bids","in":"query","name":"accepted","schema":{"type":"boolean","description":"Filter for accepted or rejected bids","uniqueKey":"","typeLabel":"boolean"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"b3de2551-d7b0-4576-bbdb-48b3f1ff0dbd":{"content":{"application/json":{"schema":{"items":{"properties":{"deliveryDay":{"example":"2025-11-11","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].deliveryDay","typeLabel":"string"},"product":{"example":"POS_00_04","type":"string","isRequired":true,"uniqueKey":"items.[INDEX].product","typeLabel":"string"},"results":{"items":{"properties":{"accepted":{"example":true,"type":"boolean","uniqueKey":"items.[INDEX].results.items.[INDEX].accepted","typeLabel":"boolean"},"acceptedCapacity":{"description":"In kW","example":1000,"format":"float","type":"number","uniqueKey":"items.[INDEX].results.items.[INDEX].acceptedCapacity","typeLabel":"number\u003cfloat>"},"capacityPrice":{"description":"In EUR/MW/h (will be 'null' in energy market bid)","example":100.5,"format":"float","type":"number","uniqueKey":"items.[INDEX].results.items.[INDEX].capacityPrice","typeLabel":"number\u003cfloat>"},"energyPrice":{"description":"In EUR/MWh","example":100.5,"format":"float","type":"number","uniqueKey":"items.[INDEX].results.items.[INDEX].energyPrice","typeLabel":"number\u003cfloat>"},"offeredCapacity":{"description":"In kW","example":1000,"format":"float","type":"number","uniqueKey":"items.[INDEX].results.items.[INDEX].offeredCapacity","typeLabel":"number\u003cfloat>"},"settlementPrice":{"description":"In EUR/MW/h or EUR/MWh","example":100.5,"format":"float","type":"number","uniqueKey":"items.[INDEX].results.items.[INDEX].settlementPrice","typeLabel":"number\u003cfloat>"}},"type":"object","uniqueKey":"items.[INDEX].results.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueItems":false,"uniqueKey":"items.[INDEX].results","typeLabel":"object[]"}},"required":["deliveryDay","product"],"type":"object","uniqueKey":"items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"","typeLabel":"object[]"},"examples":{"Example":{"title":"Example","value":[{"deliveryDay":"2025-11-11","product":"POS_00_04","results":[{"accepted":true,"acceptedCapacity":1000,"capacityPrice":100.5,"energyPrice":100.5,"offeredCapacity":1000,"settlementPrice":100.5}]}]}},"exampleType":"generated"}},"description":"OK","exampleType":"generated"},"b764818e-71aa-4d26-abdf-39eee5eb16d1":{"description":"Bad Request","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"c63c5f66-ea8c-43e5-97bf-13ae84019138":{"description":"Unauthorized","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"7257e6a6-99e7-49c9-b7c6-ef2f7c4478df":{"description":"Internal Server Error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{},"servers":{"297f8926-7508-43d5-a35e-6c4952f65031":{"description":"Production API","url":"https://api.trlyr.com"},"b1201b0c-e618-4435-972d-30cad67339f3":{"description":"Sandbox API","url":"https://api.sandbox.trlyr.com"}}},"originalFileLocation":"https://api.sandbox.trlyr.com/docs/doc.json"},"subdomain":"terralayr-90","siteName":"terralayr","title":"Get all aFRR results for a given virtual asset and delivery day. - terralayr","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"# Gets aFRR results for a given virtual asset, product and delivery day ## Query Parameters Required query parameters: deliveryDay: The delivery day of the bids in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). Optional query parameters: accepted: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned. ## Response format Returns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided: product: The product of the result, e.g. NEGPOS_00_04 (FCR), POS_00_04 (AFRR Capacity), POS_001 (AFRR Energy). deliveryDay: The delivery day of the bid result in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). results: A list of individual bid results for the product. Each result in the list contains the following fields whose contents can vary depending on the market: accepted: A boolean field that shows whether the bid was accepted or rejected in the auction. offeredCapacity: The offered capacity of the original bid in kilowatts, e.g. 2000. acceptedCapacity: The accepted capacity determined in the auction in kilowatts, e.g. 1000. Can be equal to or less than the offeredCapacity. capacityPrice: - AFRR Energy: This field is null. - AFRR Capacity: The capacity price of the original AFRR bid in EUR/MW/h, e.g. 100.00. This price is used to determine the position of the bid in the TSO\u0026#x27;s merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below. settlementPrice: This field is null. energyPrice: The energy price of the original bid in EUR/MWh, e.g. 100.00. This price is used to determine the position of the bid in the TSO\u0026#x27;s merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below. ## Results publication The exact publication time of results is not guaranteed. If results have not yet been published, returns an empty list and status code 200. ### AFRR Energy 23 minutes before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm. ### AFRR Capacity 9:20am CET/CEST on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026. ## Revenue calculation ### AFRR Energy The AFRR Energy auction is Pay As Clear. The settlementPrice for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period. The settlementPrice can be found in the data center of regelleistung.net. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided. If your bid is accepted, you are not automatically receiving revenue for the delivery period. You are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint. Example: - energyPrice offered in the bid: 80 EUR/MWh - settlementPrice: 100 EUR/MWh - Total activated power in 15 minutes: 2000 kW - Revenue: 100 EUR/MWh 2 MW 0.25 h = 50 EUR ### AFRR Capacity The AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST. Depending on your offered capacityPrice, your bid is rejected or accepted. If a bid is accepted, you are paid the offered capacityPrice for each hour of the delivery period. You are paid for the capacity you provide, irrespective of the activations your asset delivers. Example: - capacityPrice offered in bid: 100 EUR/MW - acceptedCapacity received in result: 2000 kW - Revenue: (100 EUR/MW/h 2 MW) 4h = 800 EUR ## Adjustment of virtual asset blocks The incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset. Inside the aFRR block\u0026#x27;s power capacity timeseries, the powerCapacity is updated to value of the result\u0026#x27;s acceptedCapacity for the delivery period of the product. At the same time, the powerCapacity of the wholesale block (\u0026quot;market\u0026quot;:\u0026quot;WHOLESALE\u0026quot;) for the delivery period of the product you bid on is adjusted: If acceptedCapacity = offeredCapacity, nothing happens. If acceptedCapacity \u0026lt; offeredCapacity, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to the value of acceptedCapacity, whereas the powerCapacity of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to 0 and the powerCapacity of the wholesale block is increased by the same amount. If a bid is rejected, the powerCapacity is removed from the aFRR block and fully added to the wholesale block.\">\u003cmeta data-mint-head name=\"application-name\" content=\"terralayr\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get all aFRR results for a given virtual asset and delivery day. - terralayr\">\u003cmeta data-mint-head property=\"og:description\" content=\"# Gets aFRR results for a given virtual asset, product and delivery day ## Query Parameters Required query parameters: deliveryDay: The delivery day of the bids in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). Optional query parameters: accepted: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned. ## Response format Returns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided: product: The product of the result, e.g. NEGPOS_00_04 (FCR), POS_00_04 (AFRR Capacity), POS_001 (AFRR Energy). deliveryDay: The delivery day of the bid result in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). results: A list of individual bid results for the product. Each result in the list contains the following fields whose contents can vary depending on the market: accepted: A boolean field that shows whether the bid was accepted or rejected in the auction. offeredCapacity: The offered capacity of the original bid in kilowatts, e.g. 2000. acceptedCapacity: The accepted capacity determined in the auction in kilowatts, e.g. 1000. Can be equal to or less than the offeredCapacity. capacityPrice: - AFRR Energy: This field is null. - AFRR Capacity: The capacity price of the original AFRR bid in EUR/MW/h, e.g. 100.00. This price is used to determine the position of the bid in the TSO\u0026#x27;s merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below. settlementPrice: This field is null. energyPrice: The energy price of the original bid in EUR/MWh, e.g. 100.00. This price is used to determine the position of the bid in the TSO\u0026#x27;s merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below. ## Results publication The exact publication time of results is not guaranteed. If results have not yet been published, returns an empty list and status code 200. ### AFRR Energy 23 minutes before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm. ### AFRR Capacity 9:20am CET/CEST on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026. ## Revenue calculation ### AFRR Energy The AFRR Energy auction is Pay As Clear. The settlementPrice for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period. The settlementPrice can be found in the data center of regelleistung.net. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided. If your bid is accepted, you are not automatically receiving revenue for the delivery period. You are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint. Example: - energyPrice offered in the bid: 80 EUR/MWh - settlementPrice: 100 EUR/MWh - Total activated power in 15 minutes: 2000 kW - Revenue: 100 EUR/MWh 2 MW 0.25 h = 50 EUR ### AFRR Capacity The AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST. Depending on your offered capacityPrice, your bid is rejected or accepted. If a bid is accepted, you are paid the offered capacityPrice for each hour of the delivery period. You are paid for the capacity you provide, irrespective of the activations your asset delivers. Example: - capacityPrice offered in bid: 100 EUR/MW - acceptedCapacity received in result: 2000 kW - Revenue: (100 EUR/MW/h 2 MW) 4h = 800 EUR ## Adjustment of virtual asset blocks The incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset. Inside the aFRR block\u0026#x27;s power capacity timeseries, the powerCapacity is updated to value of the result\u0026#x27;s acceptedCapacity for the delivery period of the product. At the same time, the powerCapacity of the wholesale block (\u0026quot;market\u0026quot;:\u0026quot;WHOLESALE\u0026quot;) for the delivery period of the product you bid on is adjusted: If acceptedCapacity = offeredCapacity, nothing happens. If acceptedCapacity \u0026lt; offeredCapacity, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to the value of acceptedCapacity, whereas the powerCapacity of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to 0 and the powerCapacity of the wholesale block is increased by the same amount. If a bid is rejected, the powerCapacity is removed from the aFRR block and fully added to the wholesale block.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"terralayr\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://terralayr-90.mintlify.app/_mintlify/api/og/v2?division=afrr\u0026amp;title=Get+all+aFRR+results+for+a+given+virtual+asset+and+delivery+day.\u0026amp;description=%23+Gets+aFRR+results+for+a+given+virtual+asset%2C+product+and+delivery+day%0A%0A%23%23+Query+Parameters%0A%0ARequired+query+parameters%3A%0A%0A%60deliveryDay%60%3A+The+delivery+day+of+the\u0026amp;theme=6829ac6d8fb6a04cc851f81c\u0026amp;signature=e13f080237a03c9aa0c08d9d5d927ca9e31d1f2d7f1cce4d797d2ad19cc3d2e3\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get all aFRR results for a given virtual asset and delivery day. - terralayr\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"# Gets aFRR results for a given virtual asset, product and delivery day ## Query Parameters Required query parameters: deliveryDay: The delivery day of the bids in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). Optional query parameters: accepted: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned. ## Response format Returns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided: product: The product of the result, e.g. NEGPOS_00_04 (FCR), POS_00_04 (AFRR Capacity), POS_001 (AFRR Energy). deliveryDay: The delivery day of the bid result in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). results: A list of individual bid results for the product. Each result in the list contains the following fields whose contents can vary depending on the market: accepted: A boolean field that shows whether the bid was accepted or rejected in the auction. offeredCapacity: The offered capacity of the original bid in kilowatts, e.g. 2000. acceptedCapacity: The accepted capacity determined in the auction in kilowatts, e.g. 1000. Can be equal to or less than the offeredCapacity. capacityPrice: - AFRR Energy: This field is null. - AFRR Capacity: The capacity price of the original AFRR bid in EUR/MW/h, e.g. 100.00. This price is used to determine the position of the bid in the TSO\u0026#x27;s merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below. settlementPrice: This field is null. energyPrice: The energy price of the original bid in EUR/MWh, e.g. 100.00. This price is used to determine the position of the bid in the TSO\u0026#x27;s merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below. ## Results publication The exact publication time of results is not guaranteed. If results have not yet been published, returns an empty list and status code 200. ### AFRR Energy 23 minutes before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm. ### AFRR Capacity 9:20am CET/CEST on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026. ## Revenue calculation ### AFRR Energy The AFRR Energy auction is Pay As Clear. The settlementPrice for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period. The settlementPrice can be found in the data center of regelleistung.net. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided. If your bid is accepted, you are not automatically receiving revenue for the delivery period. You are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint. Example: - energyPrice offered in the bid: 80 EUR/MWh - settlementPrice: 100 EUR/MWh - Total activated power in 15 minutes: 2000 kW - Revenue: 100 EUR/MWh 2 MW 0.25 h = 50 EUR ### AFRR Capacity The AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST. Depending on your offered capacityPrice, your bid is rejected or accepted. If a bid is accepted, you are paid the offered capacityPrice for each hour of the delivery period. You are paid for the capacity you provide, irrespective of the activations your asset delivers. Example: - capacityPrice offered in bid: 100 EUR/MW - acceptedCapacity received in result: 2000 kW - Revenue: (100 EUR/MW/h 2 MW) 4h = 800 EUR ## Adjustment of virtual asset blocks The incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset. Inside the aFRR block\u0026#x27;s power capacity timeseries, the powerCapacity is updated to value of the result\u0026#x27;s acceptedCapacity for the delivery period of the product. At the same time, the powerCapacity of the wholesale block (\u0026quot;market\u0026quot;:\u0026quot;WHOLESALE\u0026quot;) for the delivery period of the product you bid on is adjusted: If acceptedCapacity = offeredCapacity, nothing happens. If acceptedCapacity \u0026lt; offeredCapacity, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to the value of acceptedCapacity, whereas the powerCapacity of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to 0 and the powerCapacity of the wholesale block is increased by the same amount. If a bid is rejected, the powerCapacity is removed from the aFRR block and fully added to the wholesale block.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://terralayr-90.mintlify.app/_mintlify/api/og/v2?division=afrr\u0026amp;title=Get+all+aFRR+results+for+a+given+virtual+asset+and+delivery+day.\u0026amp;description=%23+Gets+aFRR+results+for+a+given+virtual+asset%2C+product+and+delivery+day%0A%0A%23%23+Query+Parameters%0A%0ARequired+query+parameters%3A%0A%0A%60deliveryDay%60%3A+The+delivery+day+of+the\u0026amp;theme=6829ac6d8fb6a04cc851f81c\u0026amp;signature=e13f080237a03c9aa0c08d9d5d927ca9e31d1f2d7f1cce4d797d2ad19cc3d2e3\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/terralayr-90/QAqKhv9VYa2PiyeN/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"terralayr\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#13151A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.trlyr.com/#organization\",\"name\":\"terralayr\",\"url\":\"https://docs.trlyr.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/terralayr-90/i2mowZXsRr_Wp7MC/logo/terralayrDark.svg?fit=max\u0026auto=format\u0026n=i2mowZXsRr_Wp7MC\u0026q=85\u0026s=eb99311be47192737889489eb393e3d4\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.trlyr.com#website\",\"name\":\"terralayr\",\"url\":\"https://docs.trlyr.com\",\"publisher\":{\"@id\":\"https://docs.trlyr.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day#webpage\",\"url\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day\",\"name\":\"Get all aFRR results for a given virtual asset and delivery day.\",\"description\":\"# Gets aFRR results for a given virtual asset, product and delivery day ## Query Parameters Required query parameters: deliveryDay: The delivery day of the bids in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). Optional query parameters: accepted: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned. ## Response format Returns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided: product: The product of the result, e.g. NEGPOS_00_04 (FCR), POS_00_04 (AFRR Capacity), POS_001 (AFRR Energy). deliveryDay: The delivery day of the bid result in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). results: A list of individual bid results for the product. Each result in the list contains the following fields whose contents can vary depending on the market: accepted: A boolean field that shows whether the bid was accepted or rejected in the auction. offeredCapacity: The offered capacity of the original bid in kilowatts, e.g. 2000. acceptedCapacity: The accepted capacity determined in the auction in kilowatts, e.g. 1000. Can be equal to or less than the offeredCapacity. capacityPrice: - AFRR Energy: This field is null. - AFRR Capacity: The capacity price of the original AFRR bid in EUR/MW/h, e.g. 100.00. This price is used to determine the position of the bid in the TSO's merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below. settlementPrice: This field is null. energyPrice: The energy price of the original bid in EUR/MWh, e.g. 100.00. This price is used to determine the position of the bid in the TSO's merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below. ## Results publication The exact publication time of results is not guaranteed. If results have not yet been published, returns an empty list and status code 200. ### AFRR Energy 23 minutes before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm. ### AFRR Capacity 9:20am CET/CEST on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026. ## Revenue calculation ### AFRR Energy The AFRR Energy auction is Pay As Clear. The settlementPrice for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period. The settlementPrice can be found in the data center of regelleistung.net. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided. If your bid is accepted, you are not automatically receiving revenue for the delivery period. You are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint. Example: - energyPrice offered in the bid: 80 EUR/MWh - settlementPrice: 100 EUR/MWh - Total activated power in 15 minutes: 2000 kW - Revenue: 100 EUR/MWh 2 MW 0.25 h = 50 EUR ### AFRR Capacity The AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST. Depending on your offered capacityPrice, your bid is rejected or accepted. If a bid is accepted, you are paid the offered capacityPrice for each hour of the delivery period. You are paid for the capacity you provide, irrespective of the activations your asset delivers. Example: - capacityPrice offered in bid: 100 EUR/MW - acceptedCapacity received in result: 2000 kW - Revenue: (100 EUR/MW/h 2 MW) 4h = 800 EUR ## Adjustment of virtual asset blocks The incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset. Inside the aFRR block's power capacity timeseries, the powerCapacity is updated to value of the result's acceptedCapacity for the delivery period of the product. At the same time, the powerCapacity of the wholesale block (\\\"market\\\":\\\"WHOLESALE\\\") for the delivery period of the product you bid on is adjusted: If acceptedCapacity = offeredCapacity, nothing happens. If acceptedCapacity \\u003c offeredCapacity, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to the value of acceptedCapacity, whereas the powerCapacity of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to 0 and the powerCapacity of the wholesale block is increased by the same amount. If a bid is rejected, the powerCapacity is removed from the aFRR block and fully added to the wholesale block.\",\"isPartOf\":{\"@id\":\"https://docs.trlyr.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Virtual Assets API\",\"item\":\"https://docs.trlyr.com/virtual-assets-api-reference/virtual-assets/get-all-the-virtual-assets-belonging-to-an-organisation\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"afrr\",\"item\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-bids-for-a-given-virtual-asset-and-delivery-day\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get all aFRR results for a given virtual asset and delivery day.\",\"item\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day#apireference\",\"headline\":\"Get all aFRR results for a given virtual asset and delivery day.\",\"name\":\"Get all aFRR results for a given virtual asset and delivery day.\",\"description\":\"# Gets aFRR results for a given virtual asset, product and delivery day ## Query Parameters Required query parameters: deliveryDay: The delivery day of the bids in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). Optional query parameters: accepted: An optional boolean to filter the response to show only accepted or rejected results. If the parameter is not set, all results are returned. ## Response format Returns a JSON representation of the ancillary results for the given time interval and virtual asset as a list. The following fields are provided: product: The product of the result, e.g. NEGPOS_00_04 (FCR), POS_00_04 (AFRR Capacity), POS_001 (AFRR Energy). deliveryDay: The delivery day of the bid result in the format YYYY-MM-DD, e.g. 2026-05-30 (full day according to RFC3339). results: A list of individual bid results for the product. Each result in the list contains the following fields whose contents can vary depending on the market: accepted: A boolean field that shows whether the bid was accepted or rejected in the auction. offeredCapacity: The offered capacity of the original bid in kilowatts, e.g. 2000. acceptedCapacity: The accepted capacity determined in the auction in kilowatts, e.g. 1000. Can be equal to or less than the offeredCapacity. capacityPrice: - AFRR Energy: This field is null. - AFRR Capacity: The capacity price of the original AFRR bid in EUR/MW/h, e.g. 100.00. This price is used to determine the position of the bid in the TSO's merit order. Since AFRR Capacity auctions are Pay As Bid, its value can be used to calculate revenue for AFRR Capacity results. See example below. settlementPrice: This field is null. energyPrice: The energy price of the original bid in EUR/MWh, e.g. 100.00. This price is used to determine the position of the bid in the TSO's merit order. It cannot be used to calculate revenue for AFRR Energy results. See example below. ## Results publication The exact publication time of results is not guaranteed. If results have not yet been published, returns an empty list and status code 200. ### AFRR Energy 23 minutes before the start of the delivery period. E.g. for a bid with delivery period starting at 12:30pm, results are expected around 12:07pm. ### AFRR Capacity 9:20am CET/CEST on the day before the delivery day. E.g. for any AFRR Capacity bid with delivery day 15.01.2026, results are expected around 9:20am CET on 14.01.2026. ## Revenue calculation ### AFRR Energy The AFRR Energy auction is Pay As Clear. The settlementPrice for each product is only decided after the delivery period has ended and depends on the activations that have taken place during the delivery period. The settlementPrice can be found in the data center of regelleistung.net. It can also be received through our internal revenue-reporting endpoint. Importantly, it is not part of the response of an AFRR Energy result, since the results are generated before the settlement price is decided. If your bid is accepted, you are not automatically receiving revenue for the delivery period. You are paid only for the activated power you deliver, not the accepted capacity. The activations your asset performed can be received through our internal revenue-reporting endpoint. Example: - energyPrice offered in the bid: 80 EUR/MWh - settlementPrice: 100 EUR/MWh - Total activated power in 15 minutes: 2000 kW - Revenue: 100 EUR/MWh 2 MW 0.25 h = 50 EUR ### AFRR Capacity The AFRR Capacity auction is Pay As Bid and takes place on the day before the delivery day between 9:00am-9:20am CET/CEST. Depending on your offered capacityPrice, your bid is rejected or accepted. If a bid is accepted, you are paid the offered capacityPrice for each hour of the delivery period. You are paid for the capacity you provide, irrespective of the activations your asset delivers. Example: - capacityPrice offered in bid: 100 EUR/MW - acceptedCapacity received in result: 2000 kW - Revenue: (100 EUR/MW/h 2 MW) 4h = 800 EUR ## Adjustment of virtual asset blocks The incoming result leads to an adjustment of the aFRR and wholesale block on the virtual asset. Inside the aFRR block's power capacity timeseries, the powerCapacity is updated to value of the result's acceptedCapacity for the delivery period of the product. At the same time, the powerCapacity of the wholesale block (\\\"market\\\":\\\"WHOLESALE\\\") for the delivery period of the product you bid on is adjusted: If acceptedCapacity = offeredCapacity, nothing happens. If acceptedCapacity \\u003c offeredCapacity, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to the value of acceptedCapacity, whereas the powerCapacity of the wholesale block is increased by the same amount during that time. If the bid is rejected altogether, the powerCapacity of the aFRR block for the duration of the delivery period is reduced to 0 and the powerCapacity of the wholesale block is increased by the same amount. If a bid is rejected, the powerCapacity is removed from the aFRR block and fully added to the wholesale block.\",\"url\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day\",\"mainEntityOfPage\":{\"@id\":\"https://docs.trlyr.com/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day#webpage\"},\"publisher\":{\"@id\":\"https://docs.trlyr.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.trlyr.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"terralayr\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"terralayr","nav":{"global":{"anchors":[]},"tabs":[{"tab":"Layr User Guide","pages":[{"title":"Layr User Guide","href":"/layrUserGuide/introduction"}]},{"tab":"API Reference","groups":[{"group":"API documentation","pages":[{"title":"terralayr API","href":"/trlyr-API/introduction"}]},{"group":"Auth API","pages":[{"group":"auth","pages":[{"title":"Health check","deprecated":null,"version":null,"openapi":"https://api.trlyr.com/auth/docs/doc.json get /auth/healthcheck","href":"/auth-api-reference/auth/health-check"},{"title":"Authenticate with username and password","deprecated":null,"version":null,"openapi":"https://api.trlyr.com/auth/docs/doc.json post /auth/public/authenticate","href":"/auth-api-reference/auth/authenticate-with-username-and-password"}]}]},{"group":"Virtual Assets API","pages":[{"group":"virtual-assets","pages":[{"title":"Get all the virtual assets belonging to an organisation.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets","href":"/virtual-assets-api-reference/virtual-assets/get-all-the-virtual-assets-belonging-to-an-organisation"},{"title":"Get a virtual asset.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}","href":"/virtual-assets-api-reference/virtual-assets/get-a-virtual-asset"},{"title":"Gets schedule adjustments for a virtual asset within a time range.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/adjustments","href":"/virtual-assets-api-reference/virtual-assets/gets-schedule-adjustments-for-a-virtual-asset-within-a-time-range"},{"title":"Get the usable energy-capacity of a virtual-asset as a timeseries.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/energy-capacity","href":"/virtual-assets-api-reference/virtual-assets/get-the-usable-energy-capacity-of-a-virtual-asset-as-a-timeseries"},{"title":"Get the most recent usable energy-capacity of a virtual-asset.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/energy-capacity/latest","href":"/virtual-assets-api-reference/virtual-assets/get-the-most-recent-usable-energy-capacity-of-a-virtual-asset"},{"title":"List audit events for a virtual asset","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/events","href":"/virtual-assets-api-reference/virtual-assets/list-audit-events-for-a-virtual-asset"},{"title":"Gets a selection of operational data of a virtual-asset as a timeseries.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/operational","href":"/virtual-assets-api-reference/virtual-assets/gets-a-selection-of-operational-data-of-a-virtual-asset-as-a-timeseries"},{"title":"Gets the most recent operational data values for a virtual-asset.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/operational/latest","href":"/virtual-assets-api-reference/virtual-assets/gets-the-most-recent-operational-data-values-for-a-virtual-asset"},{"title":"Get the projected state of charge of a virtual asset.","deprecated":true,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/state-of-charge","href":"/virtual-assets-api-reference/virtual-assets/get-the-projected-state-of-charge-of-a-virtual-asset"},{"title":"Get the latest state of charge of a virtual asset.","deprecated":true,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/state-of-charge/latest","href":"/virtual-assets-api-reference/virtual-assets/get-the-latest-state-of-charge-of-a-virtual-asset"},{"title":"Get the projected state of charge of a virtual asset.","deprecated":true,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/state-of-charge/projected","href":"/virtual-assets-api-reference/virtual-assets/get-the-projected-state-of-charge-of-a-virtual-asset-1"},{"title":"Get the latest state of energy of a virtual asset.","deprecated":true,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/state-of-energy/latest","href":"/virtual-assets-api-reference/virtual-assets/get-the-latest-state-of-energy-of-a-virtual-asset"},{"title":"Get the projected state of energy of a virtual asset.","deprecated":true,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/state-of-energy/projected","href":"/virtual-assets-api-reference/virtual-assets/get-the-projected-state-of-energy-of-a-virtual-asset"}]},{"group":"afrr","pages":[{"title":"Get all aFRR bids for a given virtual asset and delivery day.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/bids","href":"/virtual-assets-api-reference/afrr/get-all-afrr-bids-for-a-given-virtual-asset-and-delivery-day"},{"title":"Creates aFRR bids for a given virtual asset.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json post /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/bids","href":"/virtual-assets-api-reference/afrr/creates-afrr-bids-for-a-given-virtual-asset"},{"title":"Get aFRR bids for a given virtual asset, product and delivery day.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/bids/{productDateCode}","href":"/virtual-assets-api-reference/afrr/get-afrr-bids-for-a-given-virtual-asset-product-and-delivery-day"},{"title":"Update aFRR bids for a single product and delivery day.","description":"# Updates an aFRR product bid for a virtual asset\n\nThe endpoint expects a list of bids for a single product and delivery day. For now, only a single bid per product is allowed.\n\nIf one (or more) bids have already been submitted for the product, they will be replaced by the newer submission.\n\n## Path parameters\n\n`productDateCode`: \n\nThe product date code identifies a single product and delivery day pair: `YYYY-MM-DD_{{productName}}`. \n\nThe delivery day inside the `productDateCode` path parameter must be in the following format: `YYYY-MM-DD`, e.g. `2025-01-01` (full day according to RFC3339).\n\nAll submitted bids for this product are updated. Previous bids are deleted.\n\nExamples:\n- aFRR Energy: `2025-01-01_POS_001`.\n- aFRR Capacity: `2025-01-01_POS_00_04`.\n\n## Request body\n\nThe request body is a list of bids to be placed for the selected product and delivery day. It contains the following fields:\n\n`offeredCapacity`: \n\nThe offered capacity of the bid in **kilowatts**, e.g. `2000`. \n\nThe value must be an integer multiple of 1 megawatt. Any non-integral part will be rounded down, e.g. 1000.5 is accepted and rounded down to 1000kW, whereas 1500 would be rejected.\n\n`capacityPrice`:\n\nThe max price that can be bid into both markets is 15,000 Euros, the min price is -15,000 Euros. If you bid a positive price (> 0), you will be paid by the TSO. If you bid a negative price (\u003c 0), you pay the TSO.\n- aFRR Energy: This field is null.\n- aFRR Capacity: The capacity price of the bid in **EUR/MW/h**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order.\n\n`energyPrice`:\n\nThe max price that can be bid into both markets is 15,000 Euros, the min price is -15,000 Euros. If you bid a positive price (> 0), you will be paid by the TSO. If you bid a negative price (\u003c 0), you pay the TSO.\n- aFRR Energy: The energy price of the bid in **EUR/MWh**, e.g. `100.00`. This price is used to determine the position of the bid in the TSO's merit order.\n- aFRR Capacity: The energy price of the 16 implicit aFRR Energy bids in **EUR/MWh**, e.g. `100.00`. When submitting a bid into the aFRR Capacity market, it is mandatory to place 16 implicit aFRR Energy bids covering the 4-hour duration of the Capacity bid. This is done by providing a mandatory `energyPrice` on each Capacity bid. Each of the 16 Energy bids will have the same `offeredCapacity` as the corresponding Capacity bid. These Energy bids can still be updated after the Capacity bid has received a result. However, if the Capacity bid was accepted, the `offeredCapacity` of the Energy bids cannot be reduced. If the Capacity bid is rejected, the implicit Energy bids are also rejected.\n\n## Bidding deadlines\n\n### aFRR Energy\nAll bids must be placed before the following deadline: **30 minutes** before the delivery period, e.g. a bid for delivery period 15:30pm must be submitted by 15:00pm. Moreover, bids must be placed after **12:00pm CET/CEST** on the day before delivery. If bids are made before that time, they are rejected.\n\n### aFRR Capacity\nAll bids must be placed before the following deadline: **8:40am CET/CEST** on the day before delivery. The auction opens a week before the delivery day.\n\n## Determining available bidding capacity\n\nValidation 1 and 2 must be passed, or the bid will be rejected.\n\n### Validation 1: Available positive and negative aFRR timeseries\n\nThe `offeredCapacity` for aFRR bids at any given point in time must be lower than or equal to the available positive or negative capacity for aFRR of the virtual asset.\n\nThe value can be retrieved from the `operationalData` endpoint on the virtual asset as a 15 minute timeseries by requesting the operational data category `afrrNegCapacityAvailable` and `afrrPosCapacityAvailable` respectively.\n\nExample:\n- `afrrPosCapacityAvailable` from 00:00-04:00 am: 4000 kW\n- `afrrNegCapacityAvailable` from 00:00-04:00 am: 5000 kW\n- Remaining capacity for product `POS_00_04`: 4000 kW\n- Remaining capacity for products `POS_001`-`POS_016`: 4000 kW\n- Remaining capacity for product `NEG_00_04`: 5000 kW\n- Remaining capacity for products `NEG_001`-`NEG_016`: 5000 kW\n\n### Validation 2: Max total ancillary capacity timeseries\n\nThe `offeredCapacity` for aFRR bids at any given point in time must also take into account bids that have already been placed in the FCR market for the same period so as not to exceed the max total ancillary capacity of the virtual asset.\n\nAn FCR bid has both a positive and negative product direction and therefore reduces the available max total capacity in both directions.\n\nThe max total ancillary capacity can be retrieved from the `operationalData` endpoint on the virtual asset as a 15 minute timeseries by requesting the operational data category `maxTotalAncillaryCapacityChargeAvailable` (negative direction) and `maxTotalAncillaryCapacityDischargeAvailable` (positive direction) respectively.\n\nExample:\n- `maxTotalAncillaryCapacityDiscargeAvailable`: 5000 kW\n- `maxTotalAncillaryCapacityChargeAvailable`: 4000 kW\n- FCR bid placed for product `NEGPOS_00_04`: 3000 kW\n- Remaining capacity for product `POS_00_04`: 2000 kW (5000 - 3000)\n- Remaining capacity for products `POS_001`-`POS_016`: 2000 kW (5000 - 3000)\n- Remaining capacity for product `NEG_00_04`: 1000 kW (5000 - 4000)\n- Remaining capacity for products `NEG_001`-`NEG_016`: 1000 kW (5000 - 4000)\n\n## Deleting bids\n\nTo delete a bid, set the body with 0 values:\n\n```json\n[\n {\n \"capacityPrice\": 0,\n \"energyPrice\": 0,\n \"offeredCapacity\": 0\n }\n]\n```\n\n## Adjustment of virtual asset blocks\n\nOnce a valid product bid has been submitted, a new aFRR block (`\"market\":\"AFRR\"`) is added to the virtual asset.\n\nThe block will cover the duration of the whole virtual asset.\n\nInside the block's power capacity timeseries, the `powerCapacity` is updated to value of the bid's `offeredCapacity` for the delivery period of the product you bid on.\n\nAt the same time, the `powerCapacity` of the wholesale block (`\"market\":\"WHOLESALE\"`) for the delivery period of the product you bid on is reduced by the `offeredCapacity`.\n\nBoth the aFRR and the wholesale block will be adjusted according to the incoming bid results.\n\nE.g. if a bid is rejected, the `powerCapacity` is removed from the aFRR block and added to the wholesale block.\n\n## Response format\n\nReturns a JSON representation of the created aFRR product bids identical to the response body of the POST aFRR bids endpoint.\n","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json put /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/bids/{productDateCode}","href":"/virtual-assets-api-reference/afrr/update-afrr-bids-for-a-single-product-and-delivery-day"},{"title":"Get all aFRR results for a given virtual asset and delivery day.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/results","href":"/virtual-assets-api-reference/afrr/get-all-afrr-results-for-a-given-virtual-asset-and-delivery-day"},{"title":"Gets aFRR results for a given virtual asset, product and delivery day.","description":"# Gets aFRR results for a given virtual asset, product and delivery day.\n\n# Path parameters\n\n`productDateCode`:\n\nThe product date code identifies a single product and delivery day pair: `YYYY-MM-DD_{{productName}}`.\n\nThe delivery day inside the `productDateCode` must be in the following format: `YYYY-MM-DD`, e.g. `2025-01-01` (full day according to RFC3339).\n\nExamples:\n- aFRR Energy: `2025-01-01_POS_001`.\n- aFRR Capacity: `2025-01-01_POS_00_04`.\n\n## Response format\nReturns a JSON representation of the aFRR results for the given product and delivery day as an object.\n\nThe fields are identical to those returned in the GET aFRR results response.\n\n## Results publication\n\nSee details in the GET aFRR results endpoint. \n\n## Revenue calculation\n\nSee details in the GET aFRR results endpoint.\n\n## Adjustment of virtual asset blocks\n\nSee details in the GET aFRR results endpoint.\n","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/afrr/results/{productDateCode}","href":"/virtual-assets-api-reference/afrr/gets-afrr-results-for-a-given-virtual-asset-product-and-delivery-day"}]},{"group":"ancillary","pages":[{"title":"Get all ancillary bids for a given virtual asset and interval.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/bids","href":"/virtual-assets-api-reference/ancillary/get-all-ancillary-bids-for-a-given-virtual-asset-and-interval"},{"title":"Post or update ancillary bids for a given virtual asset.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.json post /organisations/{organisationID}/virtual-assets/{virtualAssetID}/ancillary/bids","href":"/virtual-assets-api-reference/ancillary/post-or-update-ancillary-bids-for-a-given-virtual-asset"},{"title":"Get all ancillary results for a given virtual asset and interval.","deprecated":null,"version":null,"openapi":"https://api.sandbox.trlyr.com/docs/doc.
[...]
